diff scripts/build_project.sh @ 462:d9a4fc5357e7 prerelease

Path-relativeness of scripts has been improved. At least update_board will work when double clicked
author Giulio Moro <giuliomoro@yahoo.it>
date Mon, 20 Jun 2016 14:09:43 +0100
parents 86591d203c78
children 8fcfbfb32aa0
line wrap: on
line diff
--- a/scripts/build_project.sh	Mon Jun 20 13:49:48 2016 +0100
+++ b/scripts/build_project.sh	Mon Jun 20 14:09:43 2016 +0100
@@ -6,7 +6,9 @@
 
 # set defaults unless variables are already set
 
-. ./.bela_common || exit 1
+SCRIPTDIR=$(dirname "$0")
+[ -z $SCRIPTDIR ] && SCRIPTDIR="./" || SCRIPTDIR=$SCRIPTDIR/ 
+. $SCRIPTDIR.bela_common || { echo "You must be in Bela/scripts to run these scripts" | exit 1; }  
 
 usage()
 {